<template>
  <div>
    <v-combobox
      v-model="textoCorreos"
      :items="items"
      item-text="nombre"
      item-value="correoEmpleado"
      @change="onChange"
      @keyup="getUsuarios()"
      chips
      hide-selected
      :label="labelI"
      :search-input.sync="texto"
      multiple
      :filter="customFilter"
      :return-object="false"
    >
    </v-combobox>
  </div>
</template>

<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  components: {},
  //props:["value","labelI"],
  props: {
    value: Object,
    labelI: String,
  },
  name: "Component-SeleccionaUsuarioCorreo",
  data() {
    return {
      texto: null,
      items: [],
      textoCorreos: null,
    };
  },
  methods: {
    customFilter(item, queryText, itemText) {
      const textOne = item.nombre.toLowerCase();
      const textTwo = item.numeroEmpleado.toString();
      const textCorreo = item.correoEmpleado;
      const searchText = queryText.toLowerCase();
      if (textCorreo != null) {
        return (
          textOne.indexOf(searchText) > -1 || textTwo.indexOf(searchText) > -1
        );
      }
    },
    onChange() {
      this.texto = "";
      this.value.correos = this.textoCorreos;
    },
    getUsuarios() {
      if (this.texto != "" && this.texto.length > 3) {
        this.items = [];
        var self = this;
        axios
          .post("/usuarios-negocio/v1/correo/busquedas/", {
            usuario: this.texto,
          })
          .then((response) => {
            let data = response.data;
            if (data) {
              self.items = data.resultado.usuariosCorreo;
            }
          })
          .catch((error) => {
            if (error.response) {
              if (error.response.status == 404) {
                this.noExisteCeco = true;
              }
              console.log(error.response.data);
            }
          });
      }
    },
  },
};
</script>
